function onBegin()
    makeUnskippable()
    disableRetry()
    disableMovement()
    if choice("SJ2021_SOLOIINI_SERVICE_00", "SJ2021_SOLOIINI_SERVICE_01") == 1 then
	setFlag("solex_incineration", true)

    	else
        die()
    end
end

function onEnd()
    setFlag("solex_returningcustomer00")
    enableRetry()
    enableMovement()
end